Name:		wsjtx
Summary:	Provides popular modes for Weak Signal digital Amateur Radio communication
Version:	2.6.1
Release:	%mkrel 1
License:	GPLv3
Url:		https://wsjt.sourceforge.io/wsjtx.html
Group:		Communications/Radio
Source0:	https://sourceforge.net/projects/wsjt/files/%{name}-%{version}/%{name}-%{version}.tgz
Patch0:		wsjtx-2.6.0-mga-hamlib_binary_conflicts.patch

BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	hamlib-utils >= 4.4
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib) >= 4.4
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	ruby-asciidoctor
BuildRequires:	subversion
BuildRequires:	texinfo

Requires:		qtmultimedia5

%description
WSJT-X implements communication protocols or "modes" called:

FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR.

Also 'Echo' for detecting and measuring your own radio signals
reflected from the Moon.

These modes were all designed for making reliable, confirmed QSOs under
extreme weak-signal conditions.

%prep
%setup -q
mv src ../src
rm -f *
tar -xzf ../src/%{name}.tgz
cp -rf %{name}/* .
rm -rf ../src

# convert CR + LF to LF
dos2unix *.ui *.iss *.txt

%patch0 -p1

# remove bundled boost.
rm -rf boost

%build
%cmake_qt5  \
			-DPC_HAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DHAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DBoost_NO_SYSTEM_PATHS=FALSE \
			-DBoost_INCLUDE_DIR=%{_includedir} \
			-DCMAKE_BUILD_TYPE=Release

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/WSJT-X/{INSTALL,COPYING,changelog.Debian.gz,copyright}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/*


%changelog
* Wed Feb 15 2023 barjac <barjac> 2.6.1-1.mga9
+ Revision: 1942568
- new version 2.6.1
- Update Url and Source0 after move to sourceforge

* Mon Jan 09 2023 barjac <barjac> 2.6.0-1.mga9
+ Revision: 1931735
- new version 2.6.0
- re-diff patch

* Sat Dec 24 2022 wally <wally> 2.5.4-4.mga9
+ Revision: 1926553
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 2.5.4-3.mga9
+ Revision: 1867325
- rebuild for boost 1.79.0

* Wed Apr 06 2022 umeabot <umeabot> 2.5.4-2.mga9
+ Revision: 1845867
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 barjac <barjac> 2.5.4-1.mga9
+ Revision: 1768943
- new version 2.5.4

* Wed Dec 22 2021 wally <wally> 2.5.2-4.mga9
+ Revision: 1763304
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 2.5.2-3.mga9
+ Revision: 1762602
- rebuild for boost 1.78.0

* Thu Nov 25 2021 barjac <barjac> 2.5.2-2.mga9
+ Revision: 1759131
- Require hamlib-utils
- Dont BuildRequire hamlib-utils

* Wed Nov 10 2021 barjac <barjac> 2.5.2-1.mga9
+ Revision: 1755829
- new version 2.5.2

* Fri Oct 22 2021 barjac <barjac> 2.5.1-1.mga9
+ Revision: 1752613
- new version 2.5.1

* Sun Oct 17 2021 barjac <barjac> 2.5.0-1.mga9
+ Revision: 1751918
- new version 2.5.0
- drop unneeded patch
- qtmultimedia5 is require not BR
- hamlib-4.4 BR fixes kenwood split issue

* Thu Sep 09 2021 wally <wally> 2.4.0-2.mga9
+ Revision: 1744620
- rebuild for boost 1.77.0

* Wed May 26 2021 barjac <barjac> 2.4.0-1.mga9
+ Revision: 1728529
- new version: 2.4.0
- update description

* Fri May 14 2021 wally <wally> 2.3.1-2.mga9
+ Revision: 1723034
- rebuild for boost 1.76.0

* Mon Apr 19 2021 barjac <barjac> 2.3.1-1.mga9
+ Revision: 1716822
- new version 2.3.1

* Wed Feb 03 2021 barjac <barjac> 2.3.0-1.mga8
+ Revision: 1674593
- new version 2.3.0
- new BR qt5Test
- dir name change

* Thu Dec 17 2020 umeabot <umeabot> 2.2.2-3.mga8
+ Revision: 1660299
- Rebuild for new Qt5

* Sat Oct 31 2020 barjac <barjac> 2.2.2-2.mga8
+ Revision: 1640764
- rebuild for hamlib-4.1

* Mon Jun 29 2020 barjac <barjac> 2.2.2-1.mga8
+ Revision: 1600357
- new version 2.2.2

* Tue Jun 09 2020 barjac <barjac> 2.2.1-1.mga8
+ Revision: 1591449
-new version 2.2.1
- drop two patches

* Fri Jun 05 2020 barjac <barjac> 2.2.0-1.mga8
+ Revision: 1590605
- new version 2.2.0
- drop two patches

* Thu Feb 20 2020 daviddavid <daviddavid> 2.1.2-3.mga8
+ Revision: 1546639
- add patch to fix build with Qt 5.14
  * std::hash specializations for some Qt types were introduced in Qt 5.14
  * https://phabricator.kde.org/D24491
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 2.1.2-2.mga8
+ Revision: 1486357
- rebuild for hamlib-4.0

* Thu Dec 19 2019 barjac <barjac> 2.1.2-1.mga8
+ Revision: 1469015
- new version 2.1.2
- dont use bundled hamlib
- strip all but wsjtx from upstream tarball
- add patches in prep for hamlib 4

* Mon Nov 25 2019 barjac <barjac> 2.1.0-1.mga8
+ Revision: 1462826
- new version 2.1.0
- dont use bundled boost
- several new BRs
- removed obsolete obsolete
- fix some line endings

* Tue Apr 02 2019 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1385267
- Qt5 Rebuild

* Wed Feb 27 2019 barjac <barjac> 2.0.1-1.mga7
+ Revision: 1370442
- new version 2.0.1

* Sat Jan 19 2019 barjac <barjac> 2.0.0-1.mga7
+ Revision: 1358024
- new version 2.0.0
- upstream now provide composite tarball
- so tarball script removed
- removed un-needed patch
- added two new BRs
- cleaned spec and updated Source0

* Sun Sep 23 2018 umeabot <umeabot> 1.9.1-3.mga7
+ Revision: 1301719
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 barjac <barjac> 1.9.1-2.mga7
+ Revision: 1245848
- rebuild for libgfortran

* Tue Jun 19 2018 barjac <barjac> 1.9.1-1.mga7
+ Revision: 1237951
- re-write tarball creation script in line with
- upstream move from svn to git and add capability add patches to tarball
- so upstream build system can apply them as intended
- Add back document build (BR ruby-asciidoc) or menu option appears broken
- change qt-11.1 patch to a Source file as we dont want rpm to apply it
+ daviddavid <daviddavid>
- new version: 1.9.1
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Dec 08 2017 barjac <barjac> 1.8.0-1.mga7
+ Revision: 1181640
- new full version 1.8.0
- use upstream doc directory name as its hardcoded in GUI
- minor change to .desktop file (cross-desktop)
- minor summary and description edits

* Sun Dec 03 2017 barjac <barjac> 1.8.0-0.rc3.1.mga7
+ Revision: 1180750
- new version 1.8.0-rc3
- new BR Qt5PrintSupport
- Doc dir name changed

* Mon Sep 11 2017 tv <tv> 1.7.0-3.mga7
+ Revision: 1152907
- rebuild for new libgfortran

* Tue Dec 20 2016 barjac <barjac> 1.7.0-2.mga6
+ Revision: 1076196
- obsolete kvasd-installer
- remove buildrequires that were only needed for docs

* Mon Dec 19 2016 barjac <barjac> 1.7.0-1.mga6
+ Revision: 1076175
- new version 1.7.0

* Wed Feb 17 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 963284
- Mageia 6 Mass Rebuild

* Mon Dec 14 2015 barjac <barjac> 1.6.0-1.mga6
+ Revision: 910373
- new full release 1.6.0

* Fri Dec 11 2015 barjac <barjac> 1.6.0-0.rc2.1.mga6
+ Revision: 909472
- new version 1.6.0-rc2

* Fri Nov 27 2015 barjac <barjac> 1.6.0-0.rc1.1.mga6
+ Revision: 906441
- new package wsjtx

